Subject: Re: [media-types] Media type review of draft-ietf-core-links-json

From: Alexey Melnikov <[email-masked]>
Date: Mon, 5 Sep 2016 15:51:07 +0100

Hi Jaime,

On 24/08/2016 07:22, Jaime Jiménez wrote:
> Hi,
>
> I would like to get a review of the media type template on section 10 
> of draft-ietf-core-links-json:
> https://tools.ietf.org/html/draft-ietf-core-links-json-06#page-10
>
> ----------- 8< -----------
>
> 3.  IANA Considerations
>
>
>    This specification registers the following additional Internet Media
>    Types:
>
> Type name: application
>
>    Subtype name: link-format+json
>
>    Required parameters: None
>
>    Optional parameters: None
>
>    Encoding considerations: Resources that use the "application/
>    link-format+json" media type are required to conform to the
>    "application/json" Media Type and are therefore subject to the
>    same encoding considerations specified in
> [RFC7159], Section 11
> .
>
>    Security considerations: As defined in this specification
>
>    Published specification: This specification.
>
>    Applications that use this media type: None currently known.
I think this should describe intended usage for the media type, not 
necessarily how it is already used.
>
>    Additional information:
>
>       Magic number(s): N/A
>
>       File extension(s): N/A
>
>       Macintosh file type code(s): TEXT
>
>    Person & email address to contact for further information:
>    Carsten Bormann <[email-masked] <mailto:[email-masked]>>
>
>    Intended usage: COMMON
>
>    Change controller: IESG
>
>    and
>
> Type name: application
>
>    Subtype name: link-format+cbor
>
>    Required parameters: None
>
>    Optional parameters: None
>
>    Encoding considerations: Resources that use the "application/
>    link-format+cbor" media type are required to conform to the
>    "application/cbor" Media Type and are therefore subject to the
>    same encoding considerations specified in
> [RFC7049], Section 7
> .
>
>    Security considerations: As defined in this specification
>
>    Published specification: This specification.
>
>    Applications that use this media type: None currently known.
As above.
>
>    Additional information:
>
>       Magic number(s): N/A
>
>       File extension(s): N/A
>
>       Macintosh file type code(s): CBOR
>
>    Person & email address to contact for further information:
>    Kepeng Li <[email-masked] 
> <mailto:[email-masked]>>
>
>    Intended usage: COMMON
>
>    Change controller: IESG
> - - Jaime Jimenez
>